/ comp / gb.compress / uncompress / open
Uncompress.Open (gb.compress)
Syntax

    SUB Open ( Path AS String )

Allows you to open a file for reading that is stored in compressed format. Prior to use this method you have to select the appropiate compression driver.

Source file must be a valid file, that is, compressed with the same algorithm you have selected at Type property.

### Examples

    Dim Cz As New Uncompress
    Dim Buf As String

    Cz.Type = "bzlib2"
    Cz.Open("/home/foo/compressed.bz2")
    LINE INPUT #Cz, Buf
    ...
    CLOSE #Cz